Supported browsers

You can use Translator Toolkit with Chrome, Firefox, Internet Explorer, and Safari. We recommend using the latest version of these browsers. You can download the latest version by clicking below:

Download Google Chrome 

Download Firefox

Download Internet Explorer

Download Safari

Note: For all browsers, you must turn on cookies and enable JavaScript to use Translator Toolkit.

Was this article helpful?